Bug 410541 - Help System broken when browsing API
Help System broken when browsing API
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 11:11 EST by Mario Torre
Modified: 2009-01-09 00:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Torre 2007-12-04 11:11:53 EST
Description of problem:

The Eclipse help feature throws an exception when trying to read platform API.
I've tested this with a couple of modules (for example CDT and JDT).

The exception is this:

An error occured while processing the requested document:

org.xml.sax.SAXParseException: The element type "br" must be terminated by the
matching end-tag "</br>".
	at com.sun.org.apache.xerces.internal.parsers.DOMParser.parse(DOMParser.java:239)
	at
com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl.parse(DocumentBuilderImpl.java:283)
	at org.eclipse.help.internal.dynamic.DocumentReader.read(DocumentReader.java:56)
	at org.eclipse.help.internal.dynamic.XMLProcessor.process(XMLProcessor.java:49)
	at
org.eclipse.help.internal.xhtml.DynamicXHTMLProcessor.process(DynamicXHTMLProcessor.java:66)
	at
org.eclipse.help.internal.webapp.servlet.DynamicXHTMLFilter$1.close(DynamicXHTMLFilter.java:79)
	at java.io.FilterOutputStream.close(FilterOutputStream.java:143)
	at
org.eclipse.help.internal.webapp.servlet.FilterHTMLHeadAndBodyOutputStream.close(FilterHTMLHeadAndBodyOutputStream.java:290)
	at
org.eclipse.help.internal.webapp.servlet.EclipseConnector.transfer(EclipseConnector.java:150)
	at
org.eclipse.help.internal.webapp.servlet.ContentServlet.doGet(ContentServlet.java:42)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:690)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
	at
org.eclipse.equinox.http.registry.internal.ServletManager$ServletWrapper.service(ServletManager.java:180)
	at
org.eclipse.equinox.http.servlet.internal.ServletRegistration.handleRequest(ServletRegistration.java:90)
	at
org.eclipse.equinox.http.servlet.internal.ProxyServlet.processAlias(ProxyServlet.java:109)
	at
org.eclipse.equinox.http.servlet.internal.ProxyServlet.service(ProxyServlet.java:67)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
	at
org.eclipse.equinox.http.jetty.internal.HttpServerManager$InternalHttpServiceServlet.service(HttpServerManager.java:280)
	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
	at org.mortbay.jetty.servlet.ServletHandler.dispatch(ServletHandler.java:677)
	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
	at org.mortbay.http.HttpContext.handle(HttpContext.java:1530)
	at org.mortbay.http.HttpContext.handle(HttpContext.java:1482)
	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)



Version-Release number of selected component (if applicable):

eclipse-platform-3.3.0-30.fc8

How reproducible:

Always.

Steps to Reproduce:
1. Click on "Help->Dynamic Help"
2. Click on "Creating the plug-in project"
3. On to of the page, click on "Programmer's guide", you are then redirected to
the JDT docs.
4. Navigate to "Reference->API Reference"
5. Click on any of the shown packages.

Actual results:

Exception is thrown and an error message is displayed in the Help tab.

Expected results:

Normal browsing of the API.

Additional info:
Comment 1 Andrew Overholt 2007-12-06 09:44:12 EST
Hi Mario,

I've got an F8 eclipse update ready to be pushed to updates-testing.  Can you
try with it when it's out?  If it still doesn't work, can you try with a clean
workspace (-data option) and/or a clean ~/.eclipse (just temporarily move yours
out of the way)?  If things *still* don't work, can you send the output of:

for f in `rpm -qa | egrep "eclipse|swt"`; do echo $f; rpm -qV $f; done

Thanks.
Comment 2 Mario Torre 2007-12-06 15:43:40 EST
Yeah, sure, I'll try as soon as possible!

Mario
Comment 3 Mario Torre 2007-12-12 06:43:02 EST
Hi Andrew,

I've updated eclipse from the testing repository. The latest version I could get
has lots of problems (I get NullPointerException when opening an editor, and
also only a tab is displayed in the editor view even if I have 15 files opened).

As for the bug, it still does not work (tested on a clean workspace and moving
away .eclipse).

Here is the output of the command:

[neugens@nirvana ~]$ for f in `rpm -qa | egrep "eclipse|swt"`; do echo $f; rpm
-qV $f; done
eclipse-pydev-1.3.9-1.fc8
eclipse-subclipse-book-1.2.4-5.fc8
eclipse-mylyn-2.0.0-9.fc8
eclipse-cdt-sdk-4.0.1-1.fc8
eclipse-jdt-3.3.1.1-13.fc8
eclipse-platform-3.3.1.1-13.fc8
eclipse-emf-xsd-2.2.2-1.fc7
eclipse-emf-sdo-sdk-2.2.2-1.fc7
eclipse-mylyn-pde-2.0.0-9.fc8
libswt3-gtk2-3.3.1.1-13.fc8
eclipse-cdt-4.0.1-1.fc8
eclipse-mylyn-ide-2.0.0-9.fc8
eclipse-demos-0.0.1-2.fc8
eclipse-changelog-cdt-2.5.1-2.fc8
eclipse-ecj-3.3.1.1-13.fc8
eclipse-emf-2.2.2-1.fc7
eclipse-rpm-editor-0.1.0-10.fc8
eclipse-changelog-jdt-2.5.1-2.fc8
tomcat5-jasper-eclipse-5.5.25-1jpp.1.fc8
eclipse-cvs-client-3.3.1.1-13.fc8
eclipse-gef-sdk-3.3.0-1.fc8
eclipse-mylyn-trac-2.0.0-9.fc8
eclipse-egit-0.3.0-2.fc8
eclipse-subclipse-1.2.4-5.fc8
icu4j-eclipse-3.6.1-1jpp.5.fc8
eclipse-pde-3.3.1.1-13.fc8
eclipse-mylyn-java-2.0.0-9.fc8
eclipse-phpeclipse-1.1.8-16.fc7
eclipse-checkstyle-4.0.1-9.fc8
eclipse-pde-runtime-3.3.1.1-13.fc8
eclipse-changelog-2.5.1-2.fc8
eclipse-gef-examples-3.3.0-1.fc8
eclipse-rcp-3.3.1.1-13.fc8
eclipse-gef-3.3.0-1.fc8
eclipse-emf-xsd-sdk-2.2.2-1.fc7
eclipse-mylyn-bugzilla-2.0.0-9.fc8
eclipse-emf-standalone-2.2.2-1.fc7
eclipse-emf-sdo-2.2.2-1.fc7
eclipse-emf-examples-2.2.2-1.fc7
eclipse-emf-sdk-2.2.2-1.fc7
eclipse-quickrex-3.5.0-5.fc8
Comment 4 Mario Torre 2008-01-02 15:26:42 EST
I have installed the latest eclipse packages from update testing, but I still
have this problem.

I want to note that the update went well without requiring -clean or rm
~/.eclipse  this time :)

Thanks,
Mario
Comment 5 Andrew Overholt 2008-01-02 16:33:57 EST
I can duplicate this.  It's probably something wrong with the javadoc
generation.  I wonder if there's anything odd in the logs:

http://koji.fedoraproject.org/koji/getfile?taskID=300994&name=build.log
Comment 6 Alexander Kurtakov 2008-11-06 14:18:40 EST
(In reply to comment #4)
> I have installed the latest eclipse packages from update testing, but I still
> have this problem.
> 
> I want to note that the update went well without requiring -clean or rm
> ~/.eclipse  this time :)
> 
> Thanks,
> Mario

Is this bug still valid?
If not please close it.
Comment 7 Bug Zapper 2008-11-26 03:49:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 00:25:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.